﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace FormsNotifier
{
    public class NotificationManager
    {
        public delegate void ReceiveAlerts<T>(T alert);
        public static ReceiveAlerts<MyAlertData> ReceiveAlertUpdates;

        public static void Notify(MyAlertData pAlert)
        {
            if (ReceiveAlertUpdates != null)
            {
                ReceiveAlertUpdates(pAlert);
            }
        }
    }
}
